packages: lxdm/lxdm.Xsession (NEW), lxdm/lxdm.init (NEW), lxdm/lxdm.pamd (N...
witekfl
witekfl at pld-linux.org
Sun Aug 1 14:32:47 CEST 2010
Author: witekfl Date: Sun Aug 1 12:32:47 2010 GMT
Module: packages Tag: HEAD
---- Log message:
- new
- I am able to login, but after logout it doesn't work
- rel 0.1
---- Files affected:
packages/lxdm:
lxdm.Xsession (NONE -> 1.1) (NEW), lxdm.init (NONE -> 1.1) (NEW), lxdm.pamd (NONE -> 1.1) (NEW), lxdm.spec (NONE -> 1.1) (NEW)
---- Diffs:
================================================================
Index: packages/lxdm/lxdm.Xsession
diff -u /dev/null packages/lxdm/lxdm.Xsession:1.1
--- /dev/null Sun Aug 1 14:32:47 2010
+++ packages/lxdm/lxdm.Xsession Sun Aug 1 14:32:42 2010
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# Make it login shell
+if [ "$HAVE_LOGIN_SHELL" != "yes" ]; then
+ export HAVE_LOGIN_SHELL=yes
+ case $SHELL in
+ */csh|*/tcsh)
+ # [t]cshrc is always sourced automatically.
+ # Note that sourcing csh.login after .cshrc is non-standard.
+ exec $SHELL -c "if (-f /etc/csh.login) source /etc/csh.login; if (-f ~/.login) source ~/.login; exec $0 $*"
+ ;;
+ *)
+ exec $SHELL -l $0 $*
+ esac
+fi
+unset HAVE_LOGIN_SHELL
+
+# Call standard xinit actions
+. /etc/X11/xinit/xinitdefs
+
+case $1 in
+ failsafe)
+ exec xterm -geometry 80x24-0-0
+ ;;
+ ""|default)
+ # take default action
+ if [ -x "$HOME/.Xclients" ]; then
+ exec "$HOME/.Xclients"
+ else
+ exec /etc/X11/xinit/Xclients
+ fi
+ ;;
+ custom)
+ if [ -x "$HOME/.xsession" ]; then
+ exec "$HOME/.xsession"
+ else
+ exec xmessage -center -buttons OK:0 -default OK \
+ "Sorry, $HOME/.xsession not found."
+ fi
+ ;;
+ *)
+ exec /etc/X11/xinit/Xclients $1
+esac
================================================================
Index: packages/lxdm/lxdm.init
diff -u /dev/null packages/lxdm/lxdm.init:1.1
--- /dev/null Sun Aug 1 14:32:47 2010
+++ packages/lxdm/lxdm.init Sun Aug 1 14:32:42 2010
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+# lxdm: Starts the LXDE Display Manager
+#
+# Version: @(#) /etc/rc.d/init.d/lxdm 0.1
+#
+# chkconfig: 5 95 05
+# description: Starts and stops the LXDM Display Manager at startup and \
+# shutdown..
+#
+# config: /etc/X11/gdm/gdm-config
+# probe: true
+# hide: true
+
+. /etc/rc.d/init.d/functions
+
+# Get service config
+# if [ -f /etc/sysconfig/gdm ]; then
+# . /etc/sysconfig/gdm
+#fi
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+ start)
+ # Check if the service is already running?
+ if [ ! -f /var/lock/subsys/lxdm ]; then
+ msg_starting "LXDE Display Manager"
+ start-stop-daemon --start -b --exec /usr/sbin/lxdm
+ ok
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/lxdm
+ else
+ msg_already_running "LXDE Display Manager"
+ fi
+ ;;
+ stop)
+ if [ -f /var/lock/subsys/lxdm ]; then
+ msg_stopping "LXDE Display Manager"
+ killproc lxdm
+ rm -f /var/lock/subsys/lxdm
+ else
+ msg_not_running "LXDE Display Manager"
+ fi
+ ;;
+ status)
+ status lxdm lxdm-binary
+ exit $?
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ exit $?
+ ;;
+ *)
+ msg_usage "$0 {start|stop|restart|force-reload|status}"
+ exit 3
+esac
+
+exit $RETVAL
================================================================
Index: packages/lxdm/lxdm.pamd
diff -u /dev/null packages/lxdm/lxdm.pamd:1.1
--- /dev/null Sun Aug 1 14:32:47 2010
+++ packages/lxdm/lxdm.pamd Sun Aug 1 14:32:42 2010
@@ -0,0 +1,11 @@
+#%PAM-1.0
+auth required pam_listfile.so item=user sense=deny file=/etc/security/blacklist.lxdm onerr=succeed
+auth include system-auth
+account required pam_shells.so
+account required pam_nologin.so
+account required pam_access.so
+account include system-auth
+password include system-auth
+session optional pam_keyinit.so force revoke
+session include system-auth
+session optional pam_console.so
================================================================
Index: packages/lxdm/lxdm.spec
diff -u /dev/null packages/lxdm/lxdm.spec:1.1
--- /dev/null Sun Aug 1 14:32:47 2010
+++ packages/lxdm/lxdm.spec Sun Aug 1 14:32:42 2010
@@ -0,0 +1,93 @@
+# $Revision$, $Date$
+Summary: Light weight X11 display manager
+Name: lxdm
+Version: 0.2.0
+Release: 0.1
+License: GPL v3
+Group: X11/Applications
+Source0: http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
+# Source0-md5: e539f81ba691f2b0cb2017b82dfee58f
+Source1: %{name}.pamd
+Source2: %{name}.init
+Source3: %{name}.Xsession
+URL: http://lxde.sourceforge.net/
+BuildRequires: gettext-devel
+BuildRequires: gtk+2-devel
+BuildRequires: intltool
+BuildRequires: pam-devel
+BuildRequires: pkgconfig
+BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
+
+%description
+Light weight X11 display manager
+
+%package init
+Summary: Init script for lxdm
+Summary(pl.UTF-8): Skrypt init dla lxdm-a
+Group: X11/Applications
+Requires(post,preun): /sbin/chkconfig
+Requires: %{name} = %{epoch}:%{version}-%{release}
+Requires: open
+
+%description init
+Init script for lxdm.
+
+%description init -l pl.UTF-8
+Skrypt init dla lxdm-a.
+
+%prep
+%setup -q
+
+%build
+rm -f data/lxdm.conf
+%configure
+%{__make}
+
+%install
+rm -rf $RPM_BUILD_ROOT
+%{__make} install \
+ DESTDIR=$RPM_BUILD_ROOT
+install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d}
+
+install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/lxdm
+install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/lxdm
+install %{SOURCE3} $RPM_BUILD_ROOT/etc/lxdm/Xsession
+
+%find_lang %{name}
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%files -f %{name}.lang
+%defattr(644,root,root,755)
+%doc AUTHORS README TODO
+%dir %{_sysconfdir}/lxdm
+%attr(755,root,root) %config %{_sysconfdir}/lxdm/LoginReady
+%attr(755,root,root) %config %{_sysconfdir}/lxdm/PostLogin
+%attr(755,root,root) %config %{_sysconfdir}/lxdm/PostLogout
+%attr(755,root,root) %config %{_sysconfdir}/lxdm/PreLogin
+%attr(755,root,root) %config %{_sysconfdir}/lxdm/PreReboot
+%attr(755,root,root) %config %{_sysconfdir}/lxdm/PreShutdown
+%attr(755,root,root) %config %{_sysconfdir}/lxdm/Xsession
+%config %{_sysconfdir}/lxdm/lxdm.conf
+%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/lxdm
+%attr(755,root,root) %{_sbindir}/lxdm
+%attr(755,root,root) %{_sbindir}/lxdm-binary
+%{_datadir}/lxdm
+%attr(755,root,root) %{_libexecdir}/lxdm-greeter-gtk
+
+%files init
+%defattr(644,root,root,755)
+%attr(754,root,root) /etc/rc.d/init.d/lxdm
+
+%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
+%changelog
+* %{date} PLD Team <feedback at pld-linux.org>
+All persons listed below can be reached at <cvs_login>@pld-linux.org
+
+$Log$
+Revision 1.1 2010/08/01 12:32:42 witekfl
+- new
+- I am able to login, but after logout it doesn't work
+- rel 0.1
+
================================================================
More information about the pld-cvs-commit
mailing list